basilisk2 (0.9.20240402+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:20:15 +0000

basilisk2 (0.9.20240402+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update copyright info:
    + repackage upstrea source tarball
      to exclude embedded code copy of TinyXML
    + update coverage
  * update watch file:
    + set dversionmangle=auto
    + set repacksuffix=+dfsg
  * stop clean no longer included source files
  * drop patch 2001, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Apr 2024 13:40:56 +0200

basilisk2 (0.9.20240401-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * unfuzz patch 1001
  * add patch 2001 to include string.h in TUN/TAP configure test

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Apr 2024 08:49:23 +0200

basilisk2 (0.9.20230516-2) unstable; urgency=medium

  * Build-depend on libmpfr-dev on ARM, it’s required there.

 -- Stephen Kitt <skitt@debian.org>  Sun, 16 Jul 2023 23:11:47 +0200

basilisk2 (0.9.20230516-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update watch file and copyright info: switch to kanjitalk755 fork
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jun 2023 16:09:47 +0200

basilisk2 (0.9.20220710-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * fix watch file syntax
  * update copyright info:
    + update paths
    + update coverage
    + bump license for packaging to GPL-3+
    + extend lintian overrides
  * update source helper tool copyright-check
  * update build rules: update paths
  * update patch:
    + rename to match patch naming micro-policy
    + update paths; update DEP-3 headers
  * build-depend on libvdeplug-dev
  * use SDL 2 (not 1.2);
    build-depend on libsdl2-dev
    (not libsdl1.2-compat-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 17:17:08 +0100

basilisk2 (0.9.20180101-2) unstable; urgency=medium

  [ Debian Janitor ]
  * use secure URI in Homepage field
  * use debhelper compatibility level 10
  * set upstream metadata fields:
    Bug-Database Bug-Submit

  [ Jonas Smedegaard ]
  * update watch file:
    + track GitHub source, in git mode
    + use file format 4
    + mention gbp --uscan in usage comment
    + use substitution strings
  * update copyright info:
    + use GitHub source URI
    + use license SPDX shortnames AML HPND-sell-variant
    + list licenses
      BSD-2-clause~Gasparovski BSD-3-clause~Regents Stas_Khirman
    + clarify GPL licensing,
      and merge identically licensed upstream files sections
    + use fields License-Grant Reference
    + sort copyright holders, and merge duplicates
  * simplify rules;
    stop build-depend on licensecheck dh-buildinfo
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * regenerate upstream changelog,
    and rename as ChangeLog.git;
    add source helper tool ChangeLog.git-redo
  * update lintian overrides
  * build-depend on libsdl1.2-compat-dev (not libsdl-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 14:07:31 +0100

basilisk2 (0.9.20180101-1) unstable; urgency=medium

  * New upstream snapshot, merging all patches.
  * Install a desktop file and icon; thanks to Gabriel Ruiz for the
    initial patch! This also replaces the menu. Closes: #512895.
    LP: #309913.

 -- Stephen Kitt <skitt@debian.org>  Wed, 23 May 2018 23:19:33 +0200

basilisk2 (0.9.20120331-5) unstable; urgency=medium

  * Migrate to Salsa.
  * Update debian/copyright.
  * Refresh debian/control using cdbs, updating the build dependencies.
  * Drop obsolete “DM-Upload-Allowed”.
  * Document the use of full paths in postinst.
  * Build with debug information.
  * Override Lintian’s warning about the missing command in the menu (it’s
    an alternative).

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 May 2018 19:45:32 +0200

basilisk2 (0.9.20120331-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on armel/armhf/mips* by using ucontext_t instead
    of the removed struct ucontext. (Closes: #865172)

 -- Adrian Bunk <bunk@debian.org>  Mon, 15 Jan 2018 20:56:21 +0200

basilisk2 (0.9.20120331-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build without support for the obsolete esound. (Closes: #856075)
  * Use automake instead of automake1.11. (Closes: #865145)

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Jan 2018 21:36:30 +0200

basilisk2 (0.9.20120331-4) unstable; urgency=low

  [ Giulio Paci ]
  * Simplify patch 0002_fix_compilation_on_armel.patch.
  * Update copyright file: Drop patch file Files sections.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.

  [ Stephen Kitt ]
  * Add myself to uploaders at Jonas' invitation.
  * Build with gcc 5. Closes: #798767.

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Sep 2015 20:52:48 +0200

basilisk2 (0.9.20120331-3) unstable; urgency=low

  [ Giulio Paci ]
  * Fix compilation on arm architectures.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Aug 2012 16:19:41 +0200

basilisk2 (0.9.20120331-2) unstable; urgency=low

  [ Giulio Paci ]
  * Check installed binaries before installing alternatives in postinst.
  * Remove manpages file.
  * Do not install jit flavour binary by default.
  * Update rules with conditional installation of jit flavour files.
  * Fix compilation on kfreebsd architectures.

  [ Jonas Smedegaard ]
  * Really add Jérémy Lal as uploader and permit Debian Maintainers to
    upload.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jun 2012 23:17:58 +0200

basilisk2 (0.9.20120331-1) unstable; urgency=low

  * Upstream update

  [ Jonas Smedegaard ]
  * Drop local CDBS snippets: All included in main cdbs now.
  * Use source format 3.0 (quilt), and stop including patchsys-quilt.mk.
    Stop build-depending on quilt, patchutils.
  * Add full licensing header to debian/rules, and update copyright
    years.
  * Add README.source (and drop outdated README.cdbs-tweaks).
  * Refresh patches with shortening quilt options --no-index
    --no-timestamps -pab, and fix their path prefix.
  * Rewrite copyright file using draft DEP-5 format.
  * Update control file Vcs-* fields: Packaging moved to Git.
  * Ease building with git-buildpackage:
    + Add gbp.conf, enabling pristine-tar and tag signing.
    + Git-ignore quilt .pc dir.
  * Bump debhelper compat level to 7.
  * Update Vcs-Browser field to use anonscm.debian.org.
  * Add Giulio Paci and Jérémy Lal as uploaders, and permit Debian
    Maintainers to upload.

  [ Jérémy Lal ]
  * Drop patch 1002 to fix capitalized flag: corrected upstream.

  [ Giulio Paci ]
  * Restart package development.
    Closes: #662175.
  * Add patches to fix compilation and documentation.
  * Provide JIT flavor on supported architectures (i386 and amd64).
  * Bump standards-version to 3.9.3.
  * Update copyright file:
    + Adjust licenses now clarified/improved upstream.
  * Update ChangeLog.cvs.
  * Enable CDBS autogeneration of autotools files.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 May 2012 02:08:30 +0200

basilisk2 (0.9.20070407-4) unstable; urgency=low

  * Update copyright-check cdbs snippet to parse licensecheck using perl:
    + No longer randomly drops newlines
    + More compact hint file (and ordered more like wiki-proposed new copyright
      syntax).
    + No longer ignore files without copyright.
  * Update copyright_hints.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Mar 2008 19:33:01 +0100

basilisk2 (0.9.20070407-3) unstable; urgency=low

  * Add Vcs-Svn and Vcs-Browser fields to debian/control.
  * Move Homepage to own field (from pseudo-field in long description).
  * Rewrite debian/copyright to conform to proposed new format at
    http://wiki.debian.org/Proposals/CopyrightFormat .
  * Update local cdbs snippets:
    + Major improvements to update-tarball (but none of them affect this
      current package).
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Drop bts.mk (we are happy to receive bugreports also for unofficial
      rebuilds of this package, and by accident it wasn't enabled anyway).
    + Drop buildcore.mk override.  Set DEB_AUTO_UPDATE_DEBIAN_CONTROL directly
      instead when needed.
    + Update debian/README.cdbs-tweaks to no longer mention buildcore.mk
      override.
  * Improve duplicate build-dependency cleanup in debian/rules.
  * Change section definition in menu file: Apps -> Applications.
  * Bump up standards-version to 3.7.2 (no additional changes needed).
  * Bump dephelper compatibility level to 5.
  * Semi-auto-update debian/control to update build-dependencies:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Feb 2008 22:11:48 +0100

basilisk2 (0.9.20070407-2) unstable; urgency=low

  * Add patch to (hopefully) build also on architectures without sigsegv
    recovery support.
  * Add local cdbs snippet upstream-tarball.mk (in preparation for
    upstream perhaps actually releasing their code as tarball some day).
  * Resolve all build-dependencies using cdbs, and cleanup duplicates.
  * Properly avoid installing tunconfig twice (we want it as example
    script only).
  * Quote only copyrights and licenses in debian/copyright (not GPL
    addresses that lintian complains about).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 May 2007 19:12:50 +0200

basilisk2 (0.9.20070407-1) unstable; urgency=low

  * New upstream CVS snapshot.
    + Bugfixes and improvements for 64bit host archs.
  * Update watch file to use (not so) new upstream homepage.
  * Update local cdbs snippets:
    + Silence BTS redirections for official Debian suites.
    + Overload buildcore.mk (instead of a separately named rule) to
      conditionally enable auto-update.
    + Check copyrights in prebuild (in clean it may choke on not yet
      cleaned stuff), and make sure it runs only once.
    + List non-binary files affected if discovering new copyrights.
    + Fix buildinfo rule to only run once.
    + Include (in source only) documentation for the snippets in
      debian/README.cdbs-tweaks.
  * Tidy up debian/rules slightly.
  * Update debian/copyright with MacOSX-specific audio drivers. Owned by
    Apple and Daniel Sumorok, and licensed either BSD-like og GPLv2.
    Discovered thanks to copyright-chekc.mk cdbs snippet.
  * Adjust patches to be relative "$(DEB_SRCDIR)/.. (not the dir
    itself).
  * Add patch to lowercase a flag (TRUE and FALSE is undefined).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Apr 2007 23:05:01 +0200

basilisk2 (0.9.20060529-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Add new local cdbs snippet copyright-check.mk.
  * Update debian/copyright to include different copyright (but same
    licensing) for src/uae_cpu/*.
  * Switch to using quilt.
  * Bump up standards-version to 3.7.2 (no changes needed).
  * Add patch to not strip binaries in install target (let dh_strip
    strip as needed).

 -- Jonas Smedegaard <dr@jones.dk>  Thu,  1 Jun 2006 01:11:16 +0200

basilisk2 (0.9.20060420-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Update new upstream homebase in long description and copyright.
  * Use indented " Homepage:" (not "Website:") in long description.
  * Correct namespaces of local cdbs snippets bts.mk and buildinfo.mk.
  * Add new local cdbs snippet auto-update.mk, replacing auto-update
    routine in debian/rules itself.
  * Build-depend on libxxf86dga-dev and libxxf86vm-dev.
  * Adjust init rule to use ./autogen.sh (not autoreconf).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Apr 2006 02:42:37 +0200

basilisk2 (0.9.20050730-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Build-depend on virtual libsdl-dev (not libsdl1.2-dev).
  * Invoke init rules also on clean (to separate better from official
    builds).
  * Update URL of upstream source in debian/copyright.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Jul 2005 20:42:20 +0200

basilisk2 (0.9.20050703-0.99.jones.1) unstable; urgency=low

  * Unofficial rebuild.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Jul 2005 10:55:03 +0200

basilisk2 (0.9.20050703-1) unstable; urgency=low

  * New snapshot from upstream CVS.
  * Update debian/rules only if DEB_BUILD_OPTIONS contains "update".
  * Auto-update debian/rules (and manually strip bogus build-dependency
    on build-essential).
  * Upgrade watch file to version 3, and use mangling to match CVS
    snapshots directly.
  * Drop patch#2 (no_distclean_config-h-in) applied upstream now.
  * Improved patch#1 to mention both Mac II and Macintosh Classic.
  * Build against gtk2.
  * Standards vesion 3.6.2.
  * Add info for newly added slirp driver to debian/copyright.
  * Correct typo in debian/copyright: GNY -> GNU.
  * Drop x11 build-dependencies - only SDL is used anyway.
  * Update debian/TODO (no longer want a -fbdev package, move tunconfig
    below /etc/basilisk2/).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Jul 2005 09:54:02 +0200

basilisk2 (0.9.20050428-1) unstable; urgency=low

  * New snapshot from upstream CVS.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Apr 2005 10:11:53 +0200

basilisk2 (0.9.20050327-2) unstable; urgency=low

  * Add build-dependency on libxt-dev (and xlibs-dev as fallback).
  * This (and 0.9.20050327-1) is uploaded officially to Debian. Closes:
    bug#258162 (fixed in earlier unofficial build).
  * Include source for sheepnet and SCSI drivers as example files. This
    (and note in TODO about some day packaging the sheepnet driver as a
    proper kernel-module package) closes: bug#194261 (thanks to Gunnar
    von Boehn <gunnar@sony.de>).
  * Add comment in watch file hinting about its usage.
  * Disable -fsigned-int again (seems to work fine without it).
  * Include ChangeLog.cvs (generated with cvs2cl) and install it as
    upstream changelog.
  * Add TODO about additional configure triggered at end of build.
  * Build with SDL support, and build-depend on libsdl1.2-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Mar 2005 01:48:15 +0200

basilisk2 (0.9.20050327-1) unstable; urgency=low

  * New CVS snapshot.
  * Use cdbs to patch manpage.
  * Use cdbs (local code snippet) to invoke dh-buildinfo.
  * Use cdbs debian/control auto-update.
  * Build-depend on libx11-dev and libxext-dev (and xlibs-dev only as
    fallback).
  * Respect the word "reasonable" in Debian Policy about enabling
    warnings: Suppress excessive but seemingly non-fatal warnings to
    easer spot more important ones.
  * Fix quotes in menu file (thanks to lintian).
  * Patch Makefile.in to not remove config.h.in in distclean target.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Mar 2005 12:48:40 +0200

basilisk2 (0.9.20040708-1) unstable; urgency=low

  * New CVS snapshot.
    + Activate autotools using "autoreconf -i -v" (instead of provided
      autogen.sh script).
  * Mention upstream website in long description.
  * Build-depend on autotools-dev to let cdbs do clever autotools magic.
  * Use only (cdbs-)generic make targets in debian/rules.
  * Cleaned up debian/copyright:
    + Replace info contained in changelog with note on "GNU systems".
    + Declare each topic more strictly.
    + Mention "licensing info" together with copyright.
  * Standards-Version: 3.6.1 (no changes needed).
  * JIT compiler enabled now, so remove it from TODO.
  * Add configure option --disable-rpath.
  * Explicitly mention "Macintosh" (and 68k, now we a re at it) in NAME
    field of man page to have it found using apropos. This closes:
    Bug#258162 (thanks to A Costa <agcosta@gis.net>).

 -- Jonas Smedegaard <dr@jones.dk>  Thu,  8 Jul 2004 01:55:28 +0200

basilisk2 (0.9.20040302-1) unstable; urgency=low

  * New CVS snapshot.
  * Make sure autogen target is run if src/Unix/configure is missing.
  * Added "CFLAGS += -fsigned-char".

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Apr 2004 17:31:57 +0200

basilisk2 (0.9.20040126-1) unstable; urgency=low

  * New CVS snapshot.
  * Use official cdbs again (and tighten build-depends).
  * Enable JIT compiler.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Jan 2004 18:55:24 +0100

basilisk2 (0.9.20030722-2) unstable; urgency=low

  * Include build-dependency on cdbs (closes: Bug#202595).
  * Add 3rd segment to standards-version to somewheat please lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Jul 2003 00:48:57 +0200

basilisk2 (0.9.20030722-1) unstable; urgency=low

  * New CVS snapshot.
  * Switch to cdbs.
  * Enable JIT compiler.
  * Build-conflict with libgnome-dev for same reason as Bug#182251.
  * Use (and build-depend on) dh_buildinfo.
  * Hack src/Unix/configure.ac to include AC_PROGS_EGREP (makes the GCC
    tests work correctly at last - looong showstopper finally fixed).
  * Hack around undefined log() in src/Unix/sshpty.c.
  * Hack autotools to use EXTRACFLAGS and EXTRACXXFLAGS (cdbs overrides
    CFLAGS and CXXFLAGS), and to include AC_PROG_EGREP.
  * Update debian/copyright: Add CVS source, and quote licensing info
    from a source file instead of README (to include both copyright and
    licensing info, not only licensing info).
  * Standards version 3.6 (no changes needed).
  * Add (somewhat fake) watch file.
  * Change wording in debian/copyright regarding author(s) to please
    lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Jul 2003 19:51:38 +0200

basilisk2 (0.9.20020115-3) unstable; urgency=low

  * Attempt to fix crashing bug (backport video related changes from
    around 2002.03.20). Thanks to Jeff Bradberry <jbradbe2@iusb.edu>
    (Closes Bug#164756).
  * Drop hack to recognize fd{0,1} and instead use upstream devfs code.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Oct 2002 05:41:29 +0200

basilisk2 (0.9.20020115-2) unstable; urgency=low

  * Move to contrib, as it is useless without a (non-free) ROM image
    (thanks to Peter Mathiasson <peterm@debian.org>). Closes:
    bug#162567.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Sep 2002 15:38:49 +0200

basilisk2 (0.9.20020115-1) unstable; urgency=low

  * First official release (closes: bug#161963).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Sep 2002 00:48:57 +0200

basilisk2 (0.9.20020115-0.0.jones1) unstable; urgency=low

  * New upstream snapshot.
  * Use debhelper v4 and dh_install.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Sep 2002 23:51:24 +0200

basilisk2 (0.9-0.0.jones1) unstable; urgency=low

  * New upstream source.
  * Remove emacs hints from changelog.
  * Rewrite Description: based on spec file.
  * Install TECH but not INSTALL.
  * Rewrite debian/rules based on debhelper rules.multi2 skeleton.
  * Add Build-Depends: to debian/control, and bump up Standards-
    Version:.
  * Add debug support as suggested in Debian-policy 11.1, and hack
    Makefile.in to take control of when to strip symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Dec 2001 00:19:53 +0100

basilisk2 (0.8.20010217-0.0.jones2) unstable; urgency=low

  * Patch source to use lowercase /dev/fd{0,1}h1440.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Mar 2001 03:05:15 +0100

basilisk2 (0.8.20010217-0.0.jones1) unstable; urgency=low

  * Newer upstream CVS Snapshot.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  7 Mar 2001 05:04:23 +0100

basilisk2 (0.8.20000713-1) unstable; urgency=low

  * New upstream source.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jul 2000 03:45:25 +0200

basilisk2 (0.8.20000314-2) unstable; urgency=low

  * Recompiled with newest libraries using debuild
  * Lintian corrections

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  7 Jun 2000 14:48:38 +0200

basilisk2 (0.8.20000314-1) unstable; urgency=low

  * New upstream source.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 mar 2000 02:17:59 +0200

basilisk2 (0.8.19991222-1) unstable; urgency=low

  * Initial Release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun,  2 Jan 2000 18:15:31 -0800
